Bug 259680 - editors/xmlcopyeditor: update to 1.3.0.0
Summary: editors/xmlcopyeditor: update to 1.3.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/p/xml-copy-ed...
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2021-11-06 16:58 UTC by Jose G. Juanino
Modified: 2021-11-24 06:54 UTC (History)
3 users (show)

See Also:
fernape: maintainer-feedback+


Attachments
update to 1.3.0.0.0 (6.17 KB, patch)
2021-11-06 16:58 UTC, Jose G. Juanino
no flags Details | Diff
update to 1.3.0.0 (5.42 KB, patch)
2021-11-20 14:57 UTC, Jose G. Juanino
jjuanino: maintainer-approval+
Details | Diff
poudriere log (192.02 KB, text/plain)
2021-11-20 15:01 UTC, Jose G. Juanino
jjuanino: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose G. Juanino 2021-11-06 16:58:14 UTC
Created attachment 229329 [details]
update to 1.3.0.0.0

Update XML Copy Editor to version 1.2.0.9.

Changelog:

https://xml-copy-editor.sourceforge.io/#:~:text=Version%201.3.0.0%20Released

You can apply this patch on main git branch with git-am.

Regards
Comment 1 Fernando Apesteguía freebsd_committer 2021-11-19 08:44:27 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A: 

# USES block                                                                                                                                                                                                                                                 
USES                                                                                                                                                                                                                                                         
+USE_GNOME                                                                                                                                                                                                                                                   
USE_WX                                                                                                                                                                                                                                                       
WX_COMPS                                                                                                                                                                                                                                                     
WX_CONF_ARGS                                                                                                                                                                                                                                                 
-USE_GNOME

# CFLAGS/CXXFLAGS/LDFLAGS block
+CPPFLAGS

# WRKSRC block
WRKSRC

-CPPFLAGS



^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 2 Jose G. Juanino 2021-11-20 14:57:31 UTC
Created attachment 229609 [details]
update to 1.3.0.0
Comment 3 Jose G. Juanino 2021-11-20 15:01:02 UTC
Created attachment 229610 [details]
poudriere log
Comment 4 Jose G. Juanino 2021-11-20 15:02:00 UTC
(In reply to Fernando Apesteguía from comment #1)

Hi Fernando, I have fixed the patch following your suggestions. Poudriere builds successfully; find attached the log file.

Regards
Comment 5 Fernando Apesteguía freebsd_committer 2021-11-20 17:06:24 UTC
Great work, thanks!
Comment 6 commit-hook freebsd_committer 2021-11-24 06:52:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3f6d136d1c1054dcfcbc728fca06d73476112c22

commit 3f6d136d1c1054dcfcbc728fca06d73476112c22
Author:     Jose G. Juanino <jjuanino@gmail.com>
AuthorDate: 2021-11-23 16:48:46 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-11-24 06:50:46 +0000

    editors/xmlcopyeditor: update to 1.3.0.0

    ChangeLog:
    https://sourceforge.net/p/xml-copy-editor/code/ci/master/tree/ChangeLog?format=raw

    PR:     259680
    Reported by:    jjuanino@gmail.com (maintainer)

 editors/xmlcopyeditor/Makefile                     | 31 +++++++++++-----------
 editors/xmlcopyeditor/distinfo                     |  5 ++--
 .../files/patch-po_Makefile.in.in.diff (gone)      | 10 -------
 .../xmlcopyeditor/files/patch-src_Makefile.in.diff | 11 ++++----
 .../xmlcopyeditor/files/patch-src_myipc.cpp (gone) | 11 --------
 editors/xmlcopyeditor/pkg-plist                    | 16 +----------
 6 files changed, 26 insertions(+), 58 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-11-24 06:54:26 UTC
Committed,

Thanks!